[SLACKWARE] archéologie & délire de Cycojesus / 14.1out \o/

archéologie & délire de Cycojesus / 14.1out \o/ [SLACKWARE] - Installation - Linux et OS Alternatifs

Marsh Posté le 15-07-2003 à 20:40:46    

Anciens mainteneurs officiels de ce topic:

  • vegeta020786


 
Versions:
La dernière version Stable est la 14.1
La dernière version Current est la 14.1
La dernière version Current64 est la 14.1
 
Site Officiel:
http://www.slackware.com
 
 
Pour télécharger les isos et/ou les mises à jours:
Stable:  

Current 32bits:

Current 64bits:


Liste des miroirs et torrents:


 
Documentation officielle:


 
Informations utiles sur Slackware:
Slackware se démarque de toutes les autres distributions Linux. En effet, elle ne propose pas de gestion automatique des dépendances, et celles-ci sont donc laissées à la charge de l'administrateur/superutilisateur. Ce système apporte une plus grande souplesse de fonctionnement ainsi qu'une plus grande liberté dans le choix des versions utilisées.
Il existe plusieurs manières d'installer un packages Slackware:

  • télécharger le package précompilé sur le site officiel, si celui-ci en fait partie  
  • télécharger le package sur un site "alien" (voir plus bas dans les liens utiles)
  • télécharger les sources et les compiler soi même et créer son package "perso" avec la commande makepkg

La procédure est ensuite très simple (en mode root):

[[email protected] rep]# installpkg package-version-arch-release.tgz

Ou dans le cas d'une mise à jour d'un package déjà installé (toujours en root):

[[email protected] rep]# upgradepkg package-version-arch-release.tgz

Et pour supprimer (toujours en root):

[[email protected] rep]# removepkg package-version-arch-release.tgz


Bien entendu, Slackware propose aussi un système de dépots avec plusieurs logiciels du genre apt-get ou urpmi:

  • slapt-get: fonctionne quasiment comme apt-get
  • swaret: vieil utilitaire puissant et complet
  • slackpkg: utilitaire "officiel" fourni dans les packages extra/  
  • Slackroll: utilitaire tout récent écrit en python et très pratique
  • Regdub's package manager: un gestionnaire de mise à jour via Slacky.it ou Linuxpackages.net, écrit par Regdub :)
  • Tracepkg: un utilitaire qui permet d'avoir une gestion des dépendances pour chaque paquet. (utilitaire réservé aux admins et aux utilisateurs avancés)


 
Mais Slackware c'est aussi un esprit: KISS (Keep It Simple Stupid), ce qui veut dire que le système a été conçu pour être le plus simple possible et le plus facile à administrer. Pas de fioriture, pas de gouzi-gouzi avec plein d'utilitaires à cliquer ... directement dans le fichier de conf, à la main ;)
L'énorme avantage: c'est très formateur et cela permet d'acquérir une "base documentaire" permettant de se sortir sans trop de dommage des situations les plus épineuses :)
 
 
Liens:
Portails francophone sur Slackware:

  • http://slackware-fr.org                    : wiki + forum correspondant à la fusion de slackfr.org et slackbuilds.net (je fais partie de l'équipe :D)


Sites proposant des paquets supplémentaires:


Forums:


Sites proposant des SlackBuilds:


 
Merci à Cycojesus, Regdub et Homer Simpson pour leurs contributions :jap:

Message cité 1 fois
Message édité par o'gure le 30-08-2017 à 08:37:16

---------------
Wedge#2487 @HS -#- PW: +∞ -#- Khaz-Modan/Boltiz @WoW
Reply

Marsh Posté le 15-07-2003 à 20:40:46   

Reply

Marsh Posté le 15-07-2003 à 22:46:54    

vegeta020786 a écrit :

Ca attire pas les foules :D


bah déja ré-écris le premier paragraphe en usant de la touche "entrée"


Message édité par farib le 15-07-2003 à 22:47:06
Reply

Marsh Posté le 15-07-2003 à 23:07:56    

et quand on a touché à gentoo... on a du mal à revenir sous slack... Parole de Zi !  :whistle:

Reply

Marsh Posté le 15-07-2003 à 23:54:00    

C'est quoi le système de gestion des paquetages sous slack ?
 
Y'en a un au moins ?  :sweat:

Reply

Marsh Posté le 15-07-2003 à 23:54:52    

Sixtiz a écrit :

C'est quoi le système de gestion des paquetages sous slack ?
 
Y'en a un au moins ?  :sweat:


oui, c juste qu'a pas de dépendances :D

Reply

Marsh Posté le 15-07-2003 à 23:58:39    

farib a écrit :


oui, c juste qu'a pas de dépendances :D


Hummm dans ce cas peut-on raisonnablement appeler ça un système de gestion de paquetages ? :heink:

Reply

Marsh Posté le 16-07-2003 à 00:06:33    


Bah, tu dis oui passque ça t'arrange mais en fait...  :na:

Reply

Marsh Posté le 16-07-2003 à 02:11:16    

farib a écrit :


oui, c juste qu'a pas de dépendances :D


 
J'en ai rab de la slack.  
 
J'ai trouvé son système de paquetage trop simple que j'ai changé de distribution.


Message édité par AlphaT le 16-07-2003 à 02:12:38
Reply

Marsh Posté le 16-07-2003 à 04:37:38    

je suis egalement un pro slack, j utilise uniquement slack (9)
jamais eu de pb, c tres a jour, c bien ficelé, chui stable pourtant jla pousse loin
bref j  adore !

Reply

Marsh Posté le 16-07-2003 à 07:33:51    

PoKK a écrit :

je suis egalement un pro slack, j utilise uniquement slack (9)
jamais eu de pb, c tres a jour, c bien ficelé, chui stable pourtant jla pousse loin
bref j  adore !
 

il est vrai ke ma slack a duré 1 an sans aucun plantage, et d'ailleurs, elle marche tjs. Mais j'ai ma gentoo en parallèle, depuis 6 mois, et tjs aucun pb... Donc euh la stabilité de la slack n'est pas exceptionnelle... Quand à la rapidité d'exécution, la facilité d'installation des programmes, et le contrôle de la machine, gentoo fait très bien la part de tous ses avantages (et je n'ai pas parlé des scripts d'init  :love: ). En gros les avantages que j'ai trouvé à la slack ? On met 1 heure pour l'installer totalement sur un celeron 500. Gentoo, 1 semaine avec un 56k avec un athlon XP 1800+... Mais bon, une fois installé, on est pas emmerdés avec la configuration d'apache, etc... Tout se fait automatiquement, avec les derniers patches, et tout ça, ça prend du temps sous slack, alors ke ça prend 10 secondes sous gentoo (le temps de lancer la commande d'install). Et sous gentoo, on a tjs les dernières versions... Vala, j'ai cassé un peu la slack, mais bon, vu ke j'ai décortiqué les 2 distros, et ke je travaille encore sous slack au boulot, donc elle a ses avantages (je me vois pas installer mon système pdt 3 jours en entreprise, surtout ke je bosse sur un celeron 500, mais bon, slack, ça rame quand même un peu là dessus, avec WindowMaker !!!)...

Reply

Marsh Posté le 16-07-2003 à 07:33:51   

Reply

Marsh Posté le 16-07-2003 à 10:39:52    

farib a écrit :


oui, c juste qu'a pas de dépendances :D

Et tant mieux. Vu que tous les systèmes de dépendance sont merdiques, ça simplifie bien le truc. Il arrive toujours un moment où ceux-ci se vautrent, et à récupérer, c'est pas toujours facile.
Tiens, ya pas une semaine, un apt-get install gcc-3.3 m'a viré les modutils sur une Debian. SUPAIRE ... et c'était sur une Debian installée moins de 24 heures auparavant.

Reply

Marsh Posté le 16-07-2003 à 11:04:09    

jak > ca devrait etre sur une sid ou une sarge donc c'est normal que ca merde, vu que ce sont des versions de test  
suffit de voir quand la nouvelle libc est arrivee dans sid, tout ce qui dependait de php4 etait vire, mais bon, tu es prevenu quand tu l'installes

Reply

Marsh Posté le 16-07-2003 à 11:11:56    

Kelus a écrit :

jak > ca devrait etre sur une sid ou une sarge donc c'est normal que ca merde, vu que ce sont des versions de test  
suffit de voir quand la nouvelle libc est arrivee dans sid, tout ce qui dependait de php4 etait vire, mais bon, tu es prevenu quand tu l'installes  


 
Le probleme, c'est qu'avec la deb, c'est soit instable soit fosillisé

Reply

Marsh Posté le 16-07-2003 à 11:20:44    

ben au moins, t'as le choix :D

Reply

Marsh Posté le 16-07-2003 à 11:25:38    

daique a écrit :


 
Le probleme, c'est qu'avec la deb, c'est soit instable soit fosillisé


C'est pour ça que l'alternative Gentoo Ro><e sa maman  :sol:

Reply

Marsh Posté le 16-07-2003 à 11:44:34    

Jak a écrit :

Et tant mieux. Vu que tous les systèmes de dépendance sont merdiques, ça simplifie bien le truc. Il arrive toujours un moment où ceux-ci se vautrent, et à récupérer, c'est pas toujours facile.
Tiens, ya pas une semaine, un apt-get install gcc-3.3 m'a viré les modutils sur une Debian. SUPAIRE ... et c'était sur une Debian installée moins de 24 heures auparavant.


sur la gentoo ca marche plutot bien quand même.
 
 
Sur ma slack, j'ai tenté de passer de mysql 3.25.* à 4.0, j'avasi trouvé un package mysql 4.0, masi j'ai pas réussi a faire fonctionner apache avec, et les package sde compatibilité qui auraient pu me servir n'étaient qu'au format RPM (j'étais d'ailleurs étonné que ce fût si mal documenté)  :sweat:


Message édité par farib le 16-07-2003 à 11:46:15
Reply

Marsh Posté le 16-07-2003 à 12:32:31    

Kelus a écrit :

jak > ca devrait etre sur une sid ou une sarge donc c'est normal que ca merde, vu que ce sont des versions de test  
suffit de voir quand la nouvelle libc est arrivee dans sid, tout ce qui dependait de php4 etait vire, mais bon, tu es prevenu quand tu l'installes  

Ben ouais, mais quand le compilo (gcc-3.0) te balance des Internal Compiler Error sur un projet, il n'y a pas d'autre choix que de changer de compilateur, sachant qu'il est conseillé d'utiliser pour ce projet un gcc >=3.x. Et j'ai fortement limité le changement (si j'ai bien suivi, on peut maintenant, grâce à apt_preferences, rester en stable et choisir un ou 2 paquets dans testing ou unstable).
Et puis quand même, gcc-3.0 est connu pour être très problématique, gcc-3.2 est bien meilleur. Qu'est-ce qui empêche l'équipe Debian de le proposer par défaut dans la Woody. Je dois admettre que j'ai un peu de mal avec la Debian Policy (dans l'art de la tétracapillotomie, ils sont forts des fois).
 
L'avantage de la Debian, c'est le support de multiples architectures.

Reply

Marsh Posté le 16-07-2003 à 12:36:32    

Jak a écrit :

Ben ouais, mais quand le compilo (gcc-3.0) te balance des Internal Compiler Error sur un projet, il n'y a pas d'autre choix que de changer de compilateur, sachant qu'il est conseillé d'utiliser pour ce projet un gcc >=3.x. Et j'ai fortement limité le changement (si j'ai bien suivi, on peut maintenant, grâce à apt_preferences, rester en stable et choisir un ou 2 paquets dans testing ou unstable).
Et puis quand même, gcc-3.0 est connu pour être très problématique, gcc-3.2 est bien meilleur. Qu'est-ce qui empêche l'équipe Debian de le proposer par défaut dans la Woody. Je dois admettre que j'ai un peu de mal avec la Debian Policy (dans l'art de la tétracapillotomie, ils sont forts des fois).
 
L'avantage de la Debian, c'est le support de multiples architectures.


vive l'ESIEE, mon école, ki a porté debian sur pa-risc  :sol:


Message édité par farib le 16-07-2003 à 12:36:49
Reply

Marsh Posté le 16-07-2003 à 12:36:39    

Sixtiz a écrit :


C'est pour ça que l'alternative Gentoo Ro><e sa maman  :sol:  


 
Bof, c'est pas bcp mieux, la stable est trop dépassée, (y a meme pas gcc 3 alors qu'il est ds la woody), les 1.4rcX changent tellement que je comprend pas pq ils osent appelent ça des releases candidate, c'est censé etre fait pour corrigé les derniers bugs.

Reply

Marsh Posté le 16-07-2003 à 12:37:42    

daique a écrit :


 
Bof, c'est pas bcp mieux, la stable est trop dépassée, (y a meme pas gcc 3 alors qu'il est ds la woody), les 1.4rcX changent tellement que je comprend pas pq ils osent appelent ça des releases candidate, c'est censé etre fait pour corrigé les derniers bugs.
 


 
t'es sur que t'es "in" ?  :heink:

Reply

Marsh Posté le 16-07-2003 à 12:44:09    

farib a écrit :


 
t'es sur que t'es "in" ?  :heink:  


 
hein?

Reply

Marsh Posté le 16-07-2003 à 12:44:53    

t'as une gentoo ?

Reply

Marsh Posté le 16-07-2003 à 12:47:47    

farib a écrit :


vive l'ESIEE, mon école, ki a porté debian sur pa-risc  :sol:

\o/ Ouéééé !!!
Le truc bizarre, c'est que les binaires de Mozilla (1.0, 1.3 et Firebird 0.6) ne fonctionnent pas. Enfin, comme c'est pas la principale raison d'être de cette machine, je m'en passe pour le moment.

Reply

Marsh Posté le 16-07-2003 à 12:48:10    

Ben non, j'en ai pas, j'ai testé mais je suis vite revenu a autre chose

Reply

Marsh Posté le 16-07-2003 à 12:55:31    

daique a écrit :

Ben non, j'en ai pas, j'ai testé mais je suis vite revenu a autre chose


 
y'a "qu'une" gentoo, qu'on met a jour quand on veux. y'a juste des packages qui sont en normale, instable, planteurs, etc...

Reply

Marsh Posté le 16-07-2003 à 12:56:07    

Jak a écrit :

\o/ Ouéééé !!!
 


 
ca t'excite ?

Reply

Marsh Posté le 16-07-2003 à 13:01:43    

farib a écrit :


 
y'a "qu'une" gentoo, qu'on met a jour quand on veux. y'a juste des packages qui sont en normale, instable, planteurs, etc...


 
Beurk

Reply

Marsh Posté le 16-07-2003 à 13:03:46    

vegeta020786 a écrit :


pas de pourrissage de topic :D


rien a avoir, c'était juste qu'il appréciait le travail fait par les bons de mon école.

Reply

Marsh Posté le 16-07-2003 à 13:04:27    


 
 
[:spamafote]
 
 
1...2....3........
 
daubian sapu

Reply

Marsh Posté le 16-07-2003 à 13:07:31    

farib a écrit :


 
ca t'excite ?

Oulah, on se calme, là. C'est juste bien pratique, mais il y aurait eu un portage de la Slackware sur station PA-Risc, c'est ce que j'aurais pris. Et j'ai pas le temps de me faire une LFS (voire, de porter la Slackware) dessus.
 
Edit. : Ah oui, j'oubliais, c'est un sujet Slackware. Parler du portage sur une nouvelle architecture, c'est dans le sujet, non ? :p


Message édité par Jak le 16-07-2003 à 13:08:47
Reply

Marsh Posté le 16-07-2003 à 13:09:14    

Jak a écrit :

Oulah, on se calme, là. C'est juste bien pratique, mais il y aurait eu un portage de la Slackware sur station PA-Risc, c'est ce que j'aurais pris. Et j'ai pas le temps de me faire une LFS (voire, de porter la Slackware) dessus.


bah dans l'école, c que du debian [:spamafote], et on a même pas les pass root  :whistle:

Reply

Marsh Posté le    

Reply

Sujets relatifs:

Leave a Replay

Make sure you enter the(*)required information where indicate.HTML code is not allowed